Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: Can't get Simu Launcher to work OR website login for stormfront with ruby 2.5

  1. #11
    Join Date
    Jun 2011
    Location
    PWC, VA
    Posts
    7,955
    Blog Entries
    8

    Default

    Uninstall everything you've done.

    Download the launcher https://www.play.net/gs4/play/launcher.asp

    Download stormfront https://www.play.net/gs4/play/stormfront-info.asp

    Download and run the lich installer http://bit.ly/WinLich

    Open the LICH game launcher that you just installed and open the game
    No, I am not Drauz in game.

  2. Default

    ok I have it working through lich.rbw

    now how to get past the error message on InchInst.exe?

  3. #13

    Default

    Quote Originally Posted by Elanthil View Post
    No, like the fuckikng wiki page which tells you to download THAT package.

    Then coming here and being told to download yet ANOTHER package from another website

    The goddamn Install program cant find a fucking help32.txt file and aborts.

    I tried to run from the simu site and nothing happens except it downloads an .sal file and sits there. I tried RUNNING the file with BOTH ruby interpreters to no avail.

    SOMETHING is fucked and its NOT ME
    https://bit.ly/WinLich

    Select just the Ruby and gems option, you have the rest. I think. Should work from there.
    Last edited by Methais; 07-08-2020 at 02:02 PM.
    Discord: Methais#5420
    [Private]-GSIV:Nyatherra: "Until this moment i forgot that i changed your name to Biff Muffbanger on Lnet"
    Quote Originally Posted by Back
    I am a retard. I'm disabled. I'm poor. I'm black. I'm gay. I'm transgender. I'm a woman.
    Quote Originally Posted by Back View Post
    Remember, I'm a tiny dick pussy.



  4. Default

    I have everything working except SIMU launcher. That install program tells me it cant find a help32.txt file

    Is there a chance Tillman could update the simu launcher program so it works?

    If not, I'll just log in through lich.rbw.

  5. #15

    Default

    Quote Originally Posted by Elanthil View Post
    I have everything working except SIMU launcher. That install program tells me it cant find a help32.txt file

    Is there a chance Tillman could update the simu launcher program so it works?

    If not, I'll just log in through lich.rbw.
    Pretty sure Tillmen can’t mess with that since that’s Simu’s software, unless I’m misunderstanding something here.

    I always logged in via lich.rbw. I didn’t even realize there was a way to do it through Simu’s launcher.
    Discord: Methais#5420
    [Private]-GSIV:Nyatherra: "Until this moment i forgot that i changed your name to Biff Muffbanger on Lnet"
    Quote Originally Posted by Back
    I am a retard. I'm disabled. I'm poor. I'm black. I'm gay. I'm transgender. I'm a woman.
    Quote Originally Posted by Back View Post
    Remember, I'm a tiny dick pussy.



  6. #16

    Default

    Quote Originally Posted by drauz View Post
    Uninstall everything you've done.

    Download the launcher https://www.play.net/gs4/play/launcher.asp

    Download stormfront https://www.play.net/gs4/play/stormfront-info.asp

    Download and run the lich installer http://bit.ly/WinLich

    Open the LICH game launcher that you just installed and open the game
    Just formatted down and went to reinstall Lich and ran into issues. Followed these steps, and when I try to run lich.rbw it complains that it can't find gtk2. I tell it to install, and it complains it can't find the gem.bat file, but the location it shows is correct. Any guess?

  7. #17

    Default

    Do the lich installer again, just Ruby and Gems. Let it run, it will self close. Then try again.

  8. #18

    Default

    This thread seems to be dealing with issues like mine. I'm not able to get Lich to install either. So far I have:

    Tried the installer
    Tried the instructions at lichproject.org

    I have completely uninstalled all Ruby versions and tried both cleanly a couple times.

    Most recently, I have uninstalled all Ruby versions, and hunted down any remaining Ruby file folders.
    I ran a Ruby/Gems only install of the Ruby4Lich program which installed Ruby 2.5.5-1-x86 on my system.

    I've downloaded the Lich-4.6.52 zip file from the Lich project website and I have the Simutronics software already installed. When I run the Lich.rbw file from the extracted zip, it asks to install sqlite3, and when I click yes, I get an error dialogue that indicates that gem.cmd or gem.bat could not be found in directory C:\Ruby4Lich\bin

    I can look in the indicated directory and see that gem.cmd is there. I can view it in Notepad++ and it has some things in it that I unfortunately do not know how to interpret. I ran ruby.gem by itself but that did not change the behavior at install.

    I'm running this on a Windows 10 system. I'm happy to try manual commands but I would probably need help with the syntax.

    If it would be better to make my own thread for this, I'm happy to. Thanks in advance for any help!

  9. #19

    Default

    Go to the Ruby4Lich\bin folder. Click once on the rubyw.exe file. Then right click on that same file.

    Select properties from the context menu.

    Click on the compatibility tab. Check the box that says run in compatibility mode. Select Windows 7. Save all of that.

    Try double clicking on the lich.rbw file. See if it starts up the lich login window.

  10. #20

    Default

    No change in behavior unfortunately. There were many options for compatibility from Windows 95 to Windows 8 as well as a compatibility checker. I tried them all without success.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •